Package com.google.android.exoplayer2.effect

## Class HslAdjustment

- java.lang.Object
- - com.google.android.exoplayer2.effect.HslAdjustment

- All Implemented Interfaces:
    `GlEffect`, `Effect`

      public class HslAdjustment
      extends Object
      implements GlEffect

  Adjusts the HSL (Hue, Saturation, and Lightness) of a frame.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HslAdjustment.Builder` | A builder for `HslAdjustment` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `float` | `hueAdjustmentDegrees` | Indicates the hue adjustment in degrees.
    `float` | `lightnessAdjustment` | Indicates the lightness adjustment.
    `float` | `saturationAdjustment` | Indicates the saturation adjustment.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SingleFrameGlTextureProcessor` | `toGlTextureProcessor​(Context context, boolean useHdr)` | Returns a `SingleFrameGlTextureProcessor` that applies the effect.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hueAdjustmentDegrees

          public final float hueAdjustmentDegrees

      Indicates the hue adjustment in degrees.

    - #### saturationAdjustment

          public final float saturationAdjustment

      Indicates the saturation adjustment.

    - #### lightnessAdjustment

          public final float lightnessAdjustment

      Indicates the lightness adjustment.

  - ### Method Detail

    - #### toGlTextureProcessor

          public SingleFrameGlTextureProcessor toGlTextureProcessor​(Context context,
                                                                    boolean useHdr)
                                                             throws FrameProcessingException

      Description copied from interface: `GlEffect`
      Returns a `SingleFrameGlTextureProcessor` that applies the effect.
      Specified by:
        `toGlTextureProcessor` in interface `GlEffect`
      Parameters:
        `context` - A `Context`.
        `useHdr` - Whether input textures come from an HDR source. If `true`, colors will be in linear RGB BT.2020. If `false`, colors will be in linear RGB BT.709.
      Throws:
        `FrameProcessingException`